format phrase in define menu can have an extra "." inside
Status: Closed Start date: 11/29/2011

Priority: Normal Due date: 11/30/2011

Assignee: Greg Shah % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    
vendor_id: GCD version:  

Description

History

#1 - 10/10/2011 04:54 PM - Greg Shah

@45118 - recreate:

The following Progress 4GL code compiles in Progress but fails in the P2J parser:

define menu my-popup-menu

       menu-item m-one    label "One" 

       menu-item m-two    label "Two".

       menu-item m-three  label "Three".

...

on choose of menu-item m-three  in menu my-popup-menu

do:

   /* something */

end.

...

assign my-browse:popup-menu in frame my-frame = menu my-popup-menu:handle.

Notice the extra "." character in the format phrase for the m-two widget.  The following code is not a valid s

tandalone statement or expression, but it doesn't fail in the 4GL.

05/10/2024 1/2



#2 - 10/11/2011 08:19 PM - Greg Shah

@45119 - addl info:

The customer confirmed that the menu in fact does appear when the code is run. This means that the period char

acter in this case is just ignored.

The parser was modified accordingly, to check if the LA(2) token is a MENU-ITEM and if so to consume a DOT tha

t is LA(1).  This appears to be what Progress does.  The change only affects the DEFINE MENU parsing.

#3 - 10/11/2011 08:21 PM - Redmine Admin

@45120 - Status changed from WIP to Closed

#4 - 04/12/2012 11:23 AM - Greg Shah

Imported from JPRM on 2012-04-12 11:23:04.863:

TASKID      = 6105

PROJECTID   = 124

STATUS      = 9 (Closed)

DESCRIPTION = format phrase in define menu can have an extra "." inside

OWNER       = GES

ASSIGNEE    = GES

BILLABLE    = false

PRIORITY    = 5 (Normal)

PHASE       = 52 (Problem Resolution)

COMPONENT   = 97

ESTEFFORT   = 0.000000

ESTSTART    = 2011-11-29

ESTSTOP     = 2011-11-30

ACTSTOP     = 2011-11-30

CASENUM     = 

VENDORID    = 

COMMENT     = ''

LASTWIP     = 2011-10-11
